package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.PileReservationInfo;

import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface PileReservationInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PileReservationInfo record);

    int insertOrUpdate(PileReservationInfo record);

    int insertOrUpdateSelective(PileReservationInfo record);

    int insertSelective(PileReservationInfo record);

    PileReservationInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PileReservationInfo record);

    int updateByPrimaryKey(PileReservationInfo record);

    int updateBatch(List<PileReservationInfo> list);

    int updateBatchSelective(List<PileReservationInfo> list);

    int batchInsert(@Param("list") List<PileReservationInfo> list);

    List<PileReservationInfo> findByMemberIdAndPileSnAndStatus(@Param("memberId") String memberId, @Param("pileSn") String pileSn, @Param("status") String status);

    List<PileReservationInfo> findByMemberIdAndPileSn(@Param("memberId") String memberId, @Param("pileSn") String pileSn);

    PileReservationInfo selectActiveReservationByPileConnectorCode(String pileConnectorCode);
}